<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-button (click)="navigateBack()">
        <ion-icon slot="icon-only" name="arrow-back"></ion-icon>
      </ion-button>
    </ion-buttons>
    <ion-title>Add Sales Invoice</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content class="page-background">
  <ion-grid class="ion-no-padding">
    <ion-row class="ion-no-padding">
      <ion-col class="ion-no-padding">
        <ion-card>
          <ion-card-header>
            <ion-card-title>
              <ion-text color="tertiary">
                Details
              </ion-text>
            </ion-card-title>
          </ion-card-header>
          <ion-card-content>
            <ion-grid class="ion-no-padding">
              <ion-row>
                <ion-col>
                  <ion-item>
                    <ion-label position="floating">Naming Series</ion-label>
                    <ion-select
                      interface="popover"
                      placeholder="Select Series"
                      [(ngModel)]="series"
                    >
                      <ion-select-option value="sinv"
                        >SINV-####</ion-select-option
                      >
                      <ion-select-option value="sinvret"
                        >SINV-RET-####</ion-select-option
                      >
                    </ion-select>
                  </ion-item>
                </ion-col>
                <ion-col>
                  <ion-item>
                    <ion-label position="floating">Company</ion-label>
                    <ion-select
                      interface="popover"
                      placeholder="Select Company"
                      [(ngModel)]="salesInvoice.company"
                    >
                      <ion-select-option value="Test Company"
                        >Test Company</ion-select-option
                      >
                      <ion-select-option value="Siddhi Company"
                        >Siddhi Company</ion-select-option
                      >
                    </ion-select>
                  </ion-item>
                </ion-col>
              </ion-row>
              <ion-row class="align">
                <ion-col>
                  <ion-item>
                    <ion-label position="floating">Customer Name</ion-label>
                    <ion-select
                      interface="popover"
                      placeholder="Select Customer"
                      [(ngModel)]="customer"
                    >
                      <ion-select-option
                        [value]="customer"
                        *ngFor="let customer of customerList"
                        >{{customer.name}}</ion-select-option
                      >
                    </ion-select>
                  </ion-item>
                </ion-col>
                <ion-col>
                  <ion-item>
                    <ion-label position="floating">Posting Date</ion-label>
                    <ion-datetime display-format="DD.MM.YYYY"></ion-datetime>
                  </ion-item>
                </ion-col>
              </ion-row>
              <ion-row>
                <ion-col>
                  <ion-item lines="none">
                    <ion-label position="floating">Remaining Balance</ion-label>
                    <ion-input
                      readonly="true"
                      placeholder="20000"
                      type="number"
                    ></ion-input>
                  </ion-item>
                </ion-col>
                <ion-col>
                  <ion-item lines="none">
                    <ion-label position="floating">Sales Person</ion-label>
                    <ion-input
                      readonly="true"
                      placeholder="David"
                      type="string"
                    ></ion-input>
                  </ion-item>
                </ion-col>
              </ion-row>
              <ion-row>
                <ion-col>
                  <ion-item lines="none">
                    <ion-label position="floating">Branch</ion-label>
                    <ion-input
                      readonly="true"
                      placeholder="Saki Naka"
                      type="string"
                    ></ion-input>
                  </ion-item>
                </ion-col>
                <ion-col>
                  <ion-item lines="none">
                    <ion-label position="floating">Warehouse</ion-label>
                    <ion-input
                      readonly="true"
                      placeholder="Warehouse 1"
                      type="string"
                    ></ion-input>
                  </ion-item>
                </ion-col>
              </ion-row>
              <ion-row class="align">
                <ion-col>
                  <ion-item lines="none">
                    <ion-label>Campaign Invoice</ion-label>
                    <ion-checkbox slot="start"></ion-checkbox>
                  </ion-item>
                </ion-col>
                <ion-col>
                  <ion-item>
                    <ion-label position="floating">Item Barcode</ion-label>
                    <ion-input
                      placeholder="Enter Barcode"
                      type="string"
                    ></ion-input>
                  </ion-item>
                </ion-col>
              </ion-row>
            </ion-grid>
          </ion-card-content>
        </ion-card>
      </ion-col>
    </ion-row>
    <ion-row class="ion-no-padding">
      <ion-col class="ion-no-padding">
        <ion-card>
          <ion-card-header>
            <ion-card-title>
              <ion-text color="tertiary">
                Address
              </ion-text>
            </ion-card-title>
            <!-- <button mat-raised-button color="primary">Primary</button> -->
          </ion-card-header>
          <ion-card-content *ngIf="customer.name !== '' ">
            <ion-grid class="ion-no-padding">
              <ion-row>
                <ion-col>
                  <ion-item lines="none">
                    <ion-label position="stacked">Customer address</ion-label>
                    {{customer.addressLine1}}
                    <br />
                    {{customer.addressLine2}}
                    <br />
                    {{customer.city}} - {{customer.pinCode}}
                  </ion-item>
                </ion-col>
                <ion-col>
                  <ion-item lines="none">
                    <ion-label position="stacked">Contact Person</ion-label>
                    {{customer.name}}
                  </ion-item>
                </ion-col>
              </ion-row>
            </ion-grid>
          </ion-card-content>
        </ion-card>
      </ion-col>
    </ion-row>
    <ion-row class="ion-no-padding">
      <ion-col class="ion-no-padding">
        <ion-card>
          <ion-card-header>
            <ion-row class="align">
              <ion-col>
                <ion-card-title>
                  <ion-text color="tertiary">
                    Items
                  </ion-text>
                </ion-card-title>
              </ion-col>
              <ion-col class="ion-text-right" size="auto">
                <ion-button color="tertiary" fill="outline" (click)="addItem()">
                  Add
                </ion-button>
              </ion-col>
            </ion-row>
          </ion-card-header>
          <ion-card-content class="ion-no-padding">
            <ion-item lines="none">
              <mat-table #table [dataSource]="dataSource" style="width: 100%;">
                <ng-container matColumnDef="item">
                  <mat-header-cell *matHeaderCellDef>Item</mat-header-cell>
                  <mat-cell
                    *matCellDef="let row"
                    [satPopoverAnchor]="p"
                    (click)="p.open()"
                  >
                    <ng-container *ngIf="row.name">
                      {{row.name}}
                    </ng-container>
                    <span class="add-comment" *ngIf="!row.name">
                      Add an item
                    </span>
                    <sat-popover
                      #p
                      hasBackdrop
                      xAlign="start"
                      yAlign="start"
                      (closed)="updateItem(row, $event)"
                    >
                      <inline-edit
                        [value]="row.name"
                        column="item"
                      ></inline-edit>
                    </sat-popover>
                  </mat-cell>
                </ng-container>
                <ng-container matColumnDef="quantity">
                  <mat-header-cell *matHeaderCellDef>Quantity</mat-header-cell>
                  <mat-cell
                    *matCellDef="let row"
                    [satPopoverAnchor]="p"
                    (click)="p.open()"
                  >
                    <ng-container>
                      {{row.quantity}}
                    </ng-container>

                    <sat-popover
                      #p
                      hasBackdrop
                      xAlign="start"
                      yAlign="start"
                      (closed)="updateQuantity(row, $event)"
                    >
                      <inline-edit
                        [value]="row.quantity"
                        column="quantity"
                      ></inline-edit>
                    </sat-popover>
                  </mat-cell>
                </ng-container>
                <ng-container matColumnDef="rate">
                  <mat-header-cell *matHeaderCellDef>Rate</mat-header-cell>
                  <mat-cell
                    *matCellDef="let row"
                    [satPopoverAnchor]="p"
                    (click)="p.open()"
                  >
                    <ng-container>
                      {{row.rate}}
                    </ng-container>
                    <sat-popover
                      #p
                      hasBackdrop
                      xAlign="start"
                      yAlign="start"
                      (closed)="updateRate(row, $event)"
                    >
                      <inline-edit
                        [value]="row.rate"
                        column="rate"
                      ></inline-edit>
                    </sat-popover>
                  </mat-cell>
                </ng-container>
                <ng-container matColumnDef="total">
                  <mat-header-cell *matHeaderCellDef>Total</mat-header-cell>
                  <mat-cell *matCellDef="let row"
                    >{{row.rate * row.quantity}}</mat-cell
                  >
                </ng-container>
                <mat-header-row
                  *matHeaderRowDef="displayedColumns; sticky: true"
                ></mat-header-row>
                <mat-row
                  *matRowDef="let row; columns: displayedColumns;"
                ></mat-row>
              </mat-table>
            </ion-item>
          </ion-card-content>
        </ion-card>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>
